Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.lifecycle.listeners
Interface TaskLifeCycleEventListener

All Known Implementing Classes:
  BAMTaskEventListener, DefaultTaskLifeCycleEventListener, ExternalTaskEventListener, InternalTaskLifeCycleEventListener, JPATaskLifeCycleEventListener

    public interface TaskLifeCycleEventListener

Method Summary
`void` | `afterTaskActivatedEvent(Task ti)`
`void` | `afterTaskAddedEvent(Task ti)`
`void` | `afterTaskClaimedEvent(Task ti)`
`void` | `afterTaskCompletedEvent(Task ti)`
`void` | `afterTaskDelegatedEvent(Task ti)`
`void` | `afterTaskExitedEvent(Task ti)`
`void` | `afterTaskFailedEvent(Task ti)`
`void` | `afterTaskForwardedEvent(Task ti)`
`void` | `afterTaskReleasedEvent(Task ti)`
`void` | `afterTaskResumedEvent(Task ti)`
`void` | `afterTaskSkippedEvent(Task ti)`
`void` | `afterTaskStartedEvent(Task ti)`
`void` | `afterTaskStoppedEvent(Task ti)`
`void` | `afterTaskSuspendedEvent(Task ti)`

Method Detail

### afterTaskActivatedEvent

    void afterTaskActivatedEvent(Task ti)

### afterTaskClaimedEvent

    void afterTaskClaimedEvent(Task ti)

### afterTaskSkippedEvent

    void afterTaskSkippedEvent(Task ti)

### afterTaskStartedEvent

    void afterTaskStartedEvent(Task ti)

### afterTaskStoppedEvent

    void afterTaskStoppedEvent(Task ti)

### afterTaskCompletedEvent

    void afterTaskCompletedEvent(Task ti)

### afterTaskFailedEvent

    void afterTaskFailedEvent(Task ti)

### afterTaskAddedEvent

    void afterTaskAddedEvent(Task ti)

### afterTaskExitedEvent

    void afterTaskExitedEvent(Task ti)

### afterTaskReleasedEvent

    void afterTaskReleasedEvent(Task ti)

### afterTaskResumedEvent

    void afterTaskResumedEvent(Task ti)

### afterTaskSuspendedEvent

    void afterTaskSuspendedEvent(Task ti)

### afterTaskForwardedEvent

    void afterTaskForwardedEvent(Task ti)

### afterTaskDelegatedEvent

    void afterTaskDelegatedEvent(Task ti)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.